Loading...
Searching...
No Matches
pqxx::string_traits< binarystring > Struct Reference

String conversion traits for `binarystring`. More...

## Static Public Member Functions

static std::size_t | size_buffer (binarystring const &value) noexcept
static zview | to_buf (char *begin, char *end, binarystring const &value)
static char * | into_buf (char *begin, char *end, binarystring const &value)
static binarystring | from_string (std::string_view text)

## Static Public Attributes

static constexpr bool | converts_to_string
| Is conversion from TYPE to strings supported?
static constexpr bool | converts_from_string
| Is conversion from string_view to TYPE supported?

## Detailed Description

String conversion traits for `binarystring`.

Defines the conversions between a `binarystring` and its PostgreSQL textual format, for communication with the database.

These conversions rely on the "hex" format which was introduced in PostgreSQL 9.0. Both your libpq and the server must be recent enough to speak this format.

## Member Data Documentation

## converts_from_string

bool pqxx::string_traits< binarystring >::converts_from_string

static constexpr

Is conversion from string_view to TYPE supported?

When defining your own conversions, specialise this as true to indicate that your string traits support from_string.

## converts_to_string

bool pqxx::string_traits< binarystring >::converts_to_string

static constexpr

Is conversion from TYPE to strings supported?

When defining your own conversions, specialise this as true to indicate that your string traits support the conversions to strings.

The documentation for this struct was generated from the following file:

- /build/libpqxx-hcWu4i/libpqxx-7.10.0/include/pqxx/binarystring.hxx